View Issue Details

IDProjectCategoryView StatusLast Update
0001792NoesisGUIC++ SDKpublic2020-09-23 16:33
ReporternikobarliAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionreopened 
Product Version2.2.6 
Target Version3.0.6Fixed in Version3.0.6 
Summary0001792: Context Menu ignores keyboard keys (arrow keys)
DescriptionContext menu seems to ignore keyboard keys (arrow keys). This behavior is not compatible with WPF.
I attached a patch to your sample code to demonstrate the issue (just a simple patch to create a context menu).
TagsNo tags attached.
PlatformAny

Activities

nikobarli

nikobarli

2020-09-18 08:31

reporter  

HelloWorld_MainWindow.xaml.patch (1,223 bytes)
Index: Native/Src/Packages/Samples/HelloWorld/Data/MainWindow.xaml
===================================================================
--- Native/Src/Packages/Samples/HelloWorld/Data/MainWindow.xaml	(revision 146889)
+++ Native/Src/Packages/Samples/HelloWorld/Data/MainWindow.xaml	(working copy)
@@ -148,8 +148,23 @@
             <BeginStoryboard Storyboard="{StaticResource Intro}"/>
         </EventTrigger>
     </Window.Triggers>
-    <Grid>
-        <Viewbox>
+    <StackPanel>
+      
+    <TextBlock Text="Test" Background="Green">
+      <TextBlock.ContextMenu>
+        <ContextMenu>
+          <MenuItem Header="AAA">
+            <MenuItem Header="BBB"/>
+          </MenuItem>
+          <MenuItem Header="CCC">
+            <MenuItem Header="DDD"/>
+          </MenuItem>
+          <MenuItem Header="EEE"/>
+        </ContextMenu>
+      </TextBlock.ContextMenu>
+    </TextBlock>
+
+    <Viewbox>
             <Grid Width="325.8" Margin="24">
                 <Grid HorizontalAlignment="Center">
                     <Grid.ColumnDefinitions>
@@ -213,5 +228,5 @@
                 </Grid>
             </Grid>
         </Viewbox>
-    </Grid>
+    </StackPanel>
 </Window>
nikobarli

nikobarli

2020-09-23 12:45

reporter   ~0006644

Hi Sergio,

It seems that the fix is not complete.

When opening a submenu, pressing up-down keys can move beyond the submenu (i.e. the selection move to the parent items). Then we can open another submenu while the first submenu is still open.
nikobarli

nikobarli

2020-09-23 12:45

reporter   ~0006645

I attached the screen shot here:

sfernandez

sfernandez

2020-09-23 13:48

manager   ~0006646

Ok, I was able to reproduce it. Thanks for the feedback.

Issue History

Date Modified Username Field Change
2020-09-18 08:31 nikobarli New Issue
2020-09-18 08:31 nikobarli File Added: HelloWorld_MainWindow.xaml.patch
2020-09-18 16:33 sfernandez Assigned To => sfernandez
2020-09-18 16:33 sfernandez Status new => assigned
2020-09-18 16:33 sfernandez Target Version => 3.0.6
2020-09-18 16:33 sfernandez Description Updated View Revisions
2020-09-22 13:56 sfernandez Status assigned => resolved
2020-09-22 13:56 sfernandez Resolution open => fixed
2020-09-22 13:56 sfernandez Fixed in Version => 3.0.6
2020-09-23 12:45 nikobarli Status resolved => feedback
2020-09-23 12:45 nikobarli Resolution fixed => reopened
2020-09-23 12:45 nikobarli Note Added: 0006644
2020-09-23 12:45 nikobarli File Added: Noesis3.0_ContextMenu_Bug.png
2020-09-23 12:45 nikobarli Note Added: 0006645
2020-09-23 12:45 nikobarli Status feedback => assigned
2020-09-23 13:48 sfernandez Note Added: 0006646
2020-09-23 16:33 sfernandez Status assigned => resolved